<?php 
/*
Plugin Name: WP Toolbar Removal Node
Plugin URI: https://slangji.wordpress.com/wp-toolbar-node-removal/
Description: Disable WordPress 3.3+ to 3.9+ Toolbar Node/Group/Links/Menu on Front and Back End for all users (Add-On)
Version: 2013.0726.1839
Author: sLaNGjIs
Author URI: https://slangji.wordpress.com/plugins/
Requires at least: 3.3
Tested up to: 3.9
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Indentation: GNU style coding standard
Indentation URI: https://www.gnu.org/prep/standards/standards.html
 *
 * LICENSING
 *
 * [WP ToolBar Removal Node](https://wordpress.org/plugins/wp-toolbar-node-removal/)
 *
 * Remove WordPress ToolBar Node/Group/Links Code on Frontend and Backend (Add-On)
 *
 * Copyright (C) 2009-2016 [sLaNGjIs](https://slangji.wordpress.com/) (email: <slangjis [at] googlemail [dot] com>)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the [GNU General Public License](https://wordpress.org/about/gpl/)
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * on an "AS IS", but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see [GNU General Public Licenses](https://www.gnu.org/licenses/),
 * or write to the Free Software Foundation, Inc., 51 Franklin Street,
 * Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * DISCLAIMER
 *
 * The license under which the WordPress software is released is the GPLv2 (or later) from the
 * Free Software Foundation. A copy of the license is included with every copy of WordPress.
 *
 * Part of this license outlines requirements for derivative works, such as plugins or themes.
 * Derivatives of WordPress code inherit the GPL license.
 *
 * There is some legal grey area regarding what is considered a derivative work, but we feel
 * strongly that plugins and themes are derivative work and thus inherit the GPL license.
 *
 * The license for this software can be found on [Free Software Foundation](https://www.gnu.org/licenses/gpl-2.0.html) and as license.txt into this plugin package.
 *
 * The author of this plugin is available at any time, to make all changes, or corrections, to respect these specifications.
 *
 * THERMS
 *
 * This uses (or it parts) code derived from
 *
 * wp-header-footer-log.php by sLaNGjIs <slangjis [at] googlemail [dot] com>
 * Copyright (C) 2009-2013 [sLaNGjIs](https://slangji.wordpress.com/) (email: <slangjis [at] googlemail [dot] com>)
 *
 * according to the terms of the GNU General Public License version 2 (or later)
 *
 * This wp-header-footer-log.php uses (or it parts) code derived from
 *
 * wp-footer-log.php by sLaNGjIs <slangjis [at] googlemail [dot] com>
 * Copyright (C) 2008-2013 [sLaNGjIs](https://slangji.wordpress.com/) (email: <slangjis [at] googlemail [dot] com>)
 *
 * sLa2sLaNGjIs.php by sLaNGjIs <slangjis [at] googlemail [dot] com>
 * Copyright (C) 2009-2013 [sLaNGjIs](https://slangji.wordpress.com/) (email: <slangjis [at] googlemail [dot] com>)
 *
 * according to the terms of the GNU General Public License version 2 (or later)
 *
 * According to the Terms of the GNU General Public License version 2 (or later) part of Copyright belongs to your own author and part belongs to their respective others authors:
 *
 * Copyright (C) 2008-2013 [sLaNGjIs](https://slangji.wordpress.com/) (email: <slangjis [at] googlemail [dot] com>)
 *
 * VIOLATIONS
 *
 * [Violations of the GNU Licenses](https://www.gnu.org/licenses/gpl-violation.en.html)
 * The author of this plugin is available at any time, to make all changes, or corrections, to respect these specifications.
 *
 * GUIDELINES
 *
 * This software meet [Detailed Plugin Guidelines](https://wordpress.org/plugins/about/guidelines/) paragraphs 1,4,10,12,13,16,17 quality requirements.
 * The author of this plugin is available at any time, to make all changes, or corrections, to respect these specifications.
 *
 * CODING
 *
 * This software implement [GNU style](https://www.gnu.org/prep/standards/standards.html) coding standard indentation.
 * The author of this plugin is available at any time, to make all changes, or corrections, to respect these specifications.
 *
 * VALIDATION
 *
 * This readme.txt rocks. Seriously. Flying colors. It meet the specifications according to WordPress [Readme Validator](https://wordpress.org/plugins/about/validator/) directives.
 * The author of this plugin is available at any time, to make all changes, or corrections, to respect these specifications.
 */

	/**
	 * @package ToolBar Removal Node (Add-On)
	 * @subpackage WordPress PlugIn
	 * @description Remove WordPress ToolBar Node/Group/Links Code on Frontend and Backend
	 * @since 3.3+
	 * @tested 3.9+
	 * @version 2013.0726.1839
	 * @1stversion 2012.0319.0356
	 * @status STABLE (trunk) release
	 * @development Code in Becoming!
	 * @install The configuration of this Plugin is Automattic!
	 * @author sLa NGjI's
	 * @license GPLv2 or later
	 * @indentation GNU style coding standard
	 * @keytag 74be16979710d4c4e7c6647856088456
	 */

	if ( !function_exists( 'add_action' ) )
		{
			header( 'HTTP/0.9 403 Forbidden' );
			header( 'HTTP/1.0 403 Forbidden' );
			header( 'HTTP/1.1 403 Forbidden' );
			header( 'Status: 403 Forbidden' );
			header( 'Connection: Close' );
				exit();
		}

	global $wp_version;

	if ( ( $wp_version < 3.3 ) )
		{
			wp_die( __( 'This plugin requires WordPress 3.3+ or greater: Activation Stopped.<br/><br/>Use on WordPress from 3.1+ or 3.2+ <a href="https://wordpress.org/plugins/wp-admin-bar-node-removal/" title="Completely Remove WordPress Admin Bar Node Code for all Users">WP Admin Bar Removal Node</a>!' ) );
		}

	function wptbr_ngr_1st()
		{
			$wp_path_to_this_file = preg_replace( '/(.*)plugins\/(.*)$/', WP_PLUGIN_DIR . "/$2", __FILE__ );
			$this_plugin          = plugin_basename( trim( $wp_path_to_this_file ) );
			$active_plugins       = get_option( 'active_plugins' );
			$this_plugin_key      = array_search( $this_plugin, $active_plugins );

			if ( $this_plugin_key )
				{
					array_splice( $active_plugins, $this_plugin_key, 1 );
					array_unshift( $active_plugins, $this_plugin );
					update_option( 'active_plugins', $active_plugins );
				}
		}
	add_action( "activated_plugin", "wptbr_ngr_1st" );

	function wptbr_ngr_tbr( $wp_toolbar )
		{
			// WordPress Node Removal
			$wp_toolbar->remove_node( 'root-default' );
			$wp_toolbar->remove_node( 'wp-logo' );
			$wp_toolbar->remove_node( 'wp-logo-default' );
			$wp_toolbar->remove_node( 'about' );
			$wp_toolbar->remove_node( 'wp-logo-external' );
			$wp_toolbar->remove_node( 'wporg' );
			$wp_toolbar->remove_node( 'documentation' );
			$wp_toolbar->remove_node( 'support-forums' );
			$wp_toolbar->remove_node( 'feedback' );
			$wp_toolbar->remove_node( 'site-name' );
			$wp_toolbar->remove_node( 'site-name-default' );
			$wp_toolbar->remove_node( 'view-site' );
			$wp_toolbar->remove_node( 'comments' );
			$wp_toolbar->remove_node( 'updates' );
			$wp_toolbar->remove_node( 'view' );
			$wp_toolbar->remove_node( 'edit' );
			$wp_toolbar->remove_node( 'new-content' );
			$wp_toolbar->remove_node( 'new-content-default' );
			$wp_toolbar->remove_node( 'new-post' );
			$wp_toolbar->remove_node( 'new-media' );
			$wp_toolbar->remove_node( 'new-link' );
			$wp_toolbar->remove_node( 'new-page' );
			$wp_toolbar->remove_node( 'new-user' );
			$wp_toolbar->remove_node( 'top-secondary' );
			$wp_toolbar->remove_node( 'my-account' );
			$wp_toolbar->remove_node( 'user-actions' );
			$wp_toolbar->remove_node( 'user-info' );
			$wp_toolbar->remove_node( 'edit-profile' );
			$wp_toolbar->remove_node( 'logout' );
			$wp_toolbar->remove_node( 'search' );

			//$wp_toolbar->remove_node( 'network-admin' );
			//$wp_admin_bar->remove_menu( 'get-shortlink' );
			//$wp_admin_bar->remove_menu( 'dashboard' );
			//$wp_admin_bar->remove_menu( 'my-account-with-avatar' );
			//$wp_admin_bar->remove_menu( 'appearance' );
			//$wp_admin_bar->remove_menu( 'themes' );
			//$wp_admin_bar->remove_menu( 'widgets' );
			//$wp_admin_bar->remove_menu( 'menus' );
			//$wp_admin_bar->remove_menu( 'background' );
			//$wp_admin_bar->remove_menu( 'header' );
			//$wp_admin_bar->remove_menu( 'wrap' );
			//$wp_admin_bar->remove_menu( 'button' );
			//$wp_admin_bar->remove_menu( 'adminbarsearch' );
			//$wp_admin_bar->remove_menu( 'comments' );
			//$wp_admin_bar->remove_menu( 'network-admin' );

			// WordPress Network Multisite Node Removal
			$wp_toolbar->remove_node( 'my-sites' );
			$wp_toolbar->remove_node( 'my-sites-list' );
			$wp_toolbar->remove_node( 'blog-1' );
			$wp_toolbar->remove_node( 'blog-1-default' );
			$wp_toolbar->remove_node( 'blog-1-d' );
			$wp_toolbar->remove_node( 'blog-1-n' );
			$wp_toolbar->remove_node( 'blog-1-c' );
			$wp_toolbar->remove_node( 'blog-1-v' );
			$wp_toolbar->remove_node( 'blog-2' );
			$wp_toolbar->remove_node( 'blog-2-default' );
			$wp_toolbar->remove_node( 'blog-2-d' );
			$wp_toolbar->remove_node( 'blog-2-n' );
			$wp_toolbar->remove_node( 'blog-2-c' );
			$wp_toolbar->remove_node( 'blog-2-v' );
			$wp_toolbar->remove_node( 'blog-3' );
			$wp_toolbar->remove_node( 'blog-3-default' );
			$wp_toolbar->remove_node( 'blog-3-d' );
			$wp_toolbar->remove_node( 'blog-3-n' );
			$wp_toolbar->remove_node( 'blog-3-c' );
			$wp_toolbar->remove_node( 'blog-3-v' );
			$wp_toolbar->remove_node( 'blog-4' );
			$wp_toolbar->remove_node( 'blog-4-default' );
			$wp_toolbar->remove_node( 'blog-4-d' );
			$wp_toolbar->remove_node( 'blog-4-n' );
			$wp_toolbar->remove_node( 'blog-4-c' );
			$wp_toolbar->remove_node( 'blog-4-v' );
			$wp_toolbar->remove_node( 'blog-5' );
			$wp_toolbar->remove_node( 'blog-5-default' );
			$wp_toolbar->remove_node( 'blog-5-d' );
			$wp_toolbar->remove_node( 'blog-5-n' );
			$wp_toolbar->remove_node( 'blog-5-c' );
			$wp_toolbar->remove_node( 'blog-5-v' );
			$wp_toolbar->remove_node( 'blog-6' );
			$wp_toolbar->remove_node( 'blog-6-default' );
			$wp_toolbar->remove_node( 'blog-6-d' );
			$wp_toolbar->remove_node( 'blog-6-n' );
			$wp_toolbar->remove_node( 'blog-6-c' );
			$wp_toolbar->remove_node( 'blog-6-v' );
			$wp_toolbar->remove_node( 'blog-7' );
			$wp_toolbar->remove_node( 'blog-7-default' );
			$wp_toolbar->remove_node( 'blog-7-d' );
			$wp_toolbar->remove_node( 'blog-7-n' );
			$wp_toolbar->remove_node( 'blog-7-c' );
			$wp_toolbar->remove_node( 'blog-7-v' );
			$wp_toolbar->remove_node( 'blog-8' );
			$wp_toolbar->remove_node( 'blog-8-default' );
			$wp_toolbar->remove_node( 'blog-8-d' );
			$wp_toolbar->remove_node( 'blog-8-n' );
			$wp_toolbar->remove_node( 'blog-8-c' );
			$wp_toolbar->remove_node( 'blog-8-v' );
			$wp_toolbar->remove_node( 'blog-9' );
			$wp_toolbar->remove_node( 'blog-9-default' );
			$wp_toolbar->remove_node( 'blog-9-d' );
			$wp_toolbar->remove_node( 'blog-9-n' );
			$wp_toolbar->remove_node( 'blog-9-c' );
			$wp_toolbar->remove_node( 'blog-9-v' );

			// WP Super Cache Node Removal
			//$wp_toolbar->remove_node( 'delete-cache' );

			// WordPress SEO by Yoast Node Removal
			$wp_toolbar->remove_node( 'wpseo-menu' );
			$wp_toolbar->remove_node( 'wpseo-menu-default' );
			$wp_toolbar->remove_node( 'wpseo-kwresearch' );
			$wp_toolbar->remove_node( 'wpseo-kwresearch-default' );
			$wp_toolbar->remove_node( 'wpseo-adwordsexternal' );
			$wp_toolbar->remove_node( 'wpseo-googleinsights' );
			$wp_toolbar->remove_node( 'wpseo-wordtracker' );
			$wp_toolbar->remove_node( 'wpseo-settings' );
			$wp_toolbar->remove_node( 'wpseo-settings-default' );
			$wp_toolbar->remove_node( 'wpseo-titles' );
			$wp_toolbar->remove_node( 'wpseo-social' );
			$wp_toolbar->remove_node( 'wpseo-xml' );
			$wp_toolbar->remove_node( 'wpseo-permalinks' );
			$wp_toolbar->remove_node( 'wpseo-internal-links' );
			$wp_toolbar->remove_node( 'wpseo-rss' );

			// NextGen Gallery Node Removal
			$wp_toolbar->remove_node( 'ngg-menu' );
			$wp_toolbar->remove_node( 'ngg-menu-default' );
			$wp_toolbar->remove_node( 'ngg-menu-overview' );
			$wp_toolbar->remove_node( 'ngg-menu-add-gallery' );
			$wp_toolbar->remove_node( 'ngg-menu-manage-gallery' );
			$wp_toolbar->remove_node( 'ngg-menu-manage-album' );
			$wp_toolbar->remove_node( 'ngg-menu-tags' );
			$wp_toolbar->remove_node( 'ngg-menu-options' );
			$wp_toolbar->remove_node( 'ngg-menu-style' );
			$wp_toolbar->remove_node( 'ngg-menu-about' );

			// CloudFlare Node Removal
			$wp_toolbar->remove_node( 'cloudflare' );
			$wp_toolbar->remove_node( 'cloudflare-default' );
			$wp_toolbar->remove_node( 'cloudflare-my-websites' );
			$wp_toolbar->remove_node( 'cloudflare-analytics' );
			$wp_toolbar->remove_node( 'cloudflare-account' );

			// W3 Total Cache Node Removal
			$wp_toolbar->remove_node( 'w3tc' );
			$wp_toolbar->remove_node( 'w3tc-default' );
			$wp_toolbar->remove_node( 'w3tc-empty-caches' );
			$wp_toolbar->remove_node( 'w3tc-faq' );
			$wp_toolbar->remove_node( 'w3tc-support' );

			// BackWPup Node Removal
			$wp_toolbar->remove_node( 'backwpup' );
			$wp_toolbar->remove_node( 'backwpup-default' );
			$wp_toolbar->remove_node( 'backwpup-jobs' );
			$wp_toolbar->remove_node( 'backwpup-logs' );
			$wp_toolbar->remove_node( 'backwpup-backups' );

			// WP Calendar Node Removal
			$wp_toolbar->remove_node( 'my-calendar' );

			// Polylang Node Removal
			$wp_toolbar->remove_node( 'languages​​' );
			
			// Jigoshop Admin Bar Addition Node Removal
			$wp_toolbar->remove_node( 'ddw-jigoshop-admin-bar' );
			$wp_toolbar->remove_node( 'ddw-jigoshop-admin-bar-default' );

			// FaceBook AWD Node Removal
			$wp_toolbar->remove_node( 'awd_fcbk' );
			$wp_toolbar->remove_node( 'awd_fcbk-default' );
			$wp_toolbar->remove_node( 'awd_fcbk_submenu0' );
			$wp_toolbar->remove_node( 'awd_fcbk_submenu1' );
			$wp_toolbar->remove_node( 'awd_fcbk_submenu2' );
			$wp_toolbar->remove_node( 'awd_fcbk_submenu3' );
			$wp_toolbar->remove_node( 'awd_fcbk_submenu4' );

			// PageLines Node Removal
			$wp_toolbar->remove_node( 'pagelines_settings_adminbar' );
			$wp_toolbar->remove_node( 'pl_settings' );
			$wp_toolbar->remove_node( 'pl_settings-default' );
			$wp_toolbar->remove_node( 'pl_dashboard' );
			$wp_toolbar->remove_node( 'pl_main_settings' );
			$wp_toolbar->remove_node( 'pl_special' );
			$wp_toolbar->remove_node( 'pl_templates' );
			$wp_toolbar->remove_node( 'pl_extend' );

			//$wp_toolbar->remove_node( '' );
		}
	add_action( 'admin_bar_menu', 'wptbr_ngr_tbr', 999 );

	function wptbr_ngr_abr ()
		{
			global $wp_admin_bar;

			$wp_admin_bar->remove_menu( 'root-default' );
			$wp_admin_bar->remove_menu( 'network-admin' );
			$wp_admin_bar->remove_menu( 'get-shortlink' );
			$wp_admin_bar->remove_menu( 'dashboard' );
			$wp_admin_bar->remove_menu( 'my-account-with-avatar' );
			$wp_admin_bar->remove_menu( 'appearance' );
			$wp_admin_bar->remove_menu( 'themes' );
			$wp_admin_bar->remove_menu( 'widgets' );
			$wp_admin_bar->remove_menu( 'menus' );
			$wp_admin_bar->remove_menu( 'background' );
			$wp_admin_bar->remove_menu( 'header' );
			$wp_admin_bar->remove_menu( 'wrap' );
			$wp_admin_bar->remove_menu( 'button' );
			$wp_admin_bar->remove_menu( 'adminbarsearch' );

			// WP Super Cache Node Removal
			$wp_admin_bar->remove_menu( 'delete-cache' );

			// WP Socializer Node Removal
			$wp_admin_bar->remove_menu( 'wpsr_adminbar_menu' );
			$wp_admin_bar->remove_menu( 'wpsr_adminbar_menu-default' );
			$wp_admin_bar->remove_menu( 'edit-the-templates' );
			$wp_admin_bar->remove_menu( 'help' );
			
			// WP Memory Load db size Indicator Node Removal
			$wp_admin_bar->remove_menu( 'wp_memory_db_indicator' );

			// WP Really Simple Health Node Removal
			$wp_admin_bar->remove_menu( 'my-item1' );
			$wp_admin_bar->remove_menu( 'my-item2' );
			$wp_admin_bar->remove_menu( 'my-item3' );

			//$wp_admin_bar->remove_menu( '' );
		}
	add_action( 'wp_before_admin_bar_render', 'wptbr_ngr_abr', 999 );

	function wptbr_ngr_habs()
		{
			// WordPress Search Form Box Node Removal
			echo "\n<!--Start Plugin ToolBar Removal Node Code-->\n\n";
			echo '<style type="text/css">#wpadminbar #adminbarsearch{display:none}</style>';
			echo "\n\n<!--/ End Plugin ToolBar Removal Node Code-->\n\n";
		}
	add_action( 'admin_head', 'wptbr_ngr_habs', 999 );
	add_action( 'wp_head', 'wptbr_ngr_habs', 999 );

	function wptbr_ngr_lh()
		{
			echo "\n\n<!--Start Plugin ToolBar Removal Node Code-->\n\n";
?>
<style type="text/css">table#tbrcss td#tbrcss_ttl a:link,table#tbrcss td#tbrcss_ttl a:visited{text-decoration:none}table#tbrcss td#tbrcss_lgt,table#tbrcss td#tbrcss_lgt a{text-decoration:none}</style>
<table style="margin-left:6px;float:left;z-index:100;position:relative;left:0px;top:0px;background:none;padding:0px;border:0px;border-bottom:1px solid #DFDFDF" id="tbrcss" border="0" cols="4" width="97%" height="33">
<tr>
<td align="left" valign="center" id="tbrcss_ttl">
<?php

	echo '<a href="' . home_url() . '">' . __( get_bloginfo() ) . '</a>';

?>
</td>
<td align="right" valign="center" id="tbrcss_lgt">
<div style="padding-top:2px">
<?php

	echo date_i18n( get_option( 'date_format' ) );

?>

 @ 

<?php

	echo date_i18n( get_option( 'time_format' ) );

?>

<?php

	wp_get_current_user();

	$current_user = wp_get_current_user();

	if ( !( $current_user instanceof WP_User ) )
		return;

	echo ' | ' . $current_user->display_name . '';

	if ( is_multisite() && is_super_admin() )
		{
			if ( !is_network_admin() )
				{
					echo ' | <a href="' . network_admin_url() . '">' . __( 'Network Admin' ) . '</a>';
				}
			else
				{
					echo ' | <a href="' . get_DashBoard_url( get_current_user_id() ) . '">' . __( 'Site Admin' ) . '</a>';
				}
		}

	echo ' | <a href="' . wp_logout_url( home_url() ) . '">' . __( 'Log Out' ) . '</a>';

?>
</div>
</td>
<td width="8">
</td>
</tr>
</table>
<?php
			echo "\n<!--End Plugin ToolBar Removal Node Code-->\n\n";
		}
	add_action( 'in_admin_header', 'wptbr_ngr_lh' );

	function wptbr_ngr_rbcb()
		{
			if ( has_filter( 'wp_head', '_admin_bar_bump_cb' ) )
				{
					remove_filter( 'wp_head', '_admin_bar_bump_cb' );
				}
		}
	add_filter( 'wp_head', 'wptbr_ngr_rbcb', 1 );

	function wptbr_ngr_rams()
		{
			// WordPress Admin Menu Shadow Removal
			echo "\n<!--Start Plugin ToolBar Removal Node Code-->\n\n";
			echo '<style type="text/css">#adminmenushadow,#adminmenuback{background-image:none}</style>';
			echo "\n\n<!--/ End Plugin ToolBar Removal Node Code-->\n\n";
		}

	if ( ( $wp_version >= 3.2 ) or ( $wp_version <= 3.8 ) )

		{
			add_action( 'admin_head', 'wptbr_ngr_rams' );
		}

	function wptbr_ngr_rbp()
		{
			add_filter( 'show_wp_pointer_admin_bar', '__return_false' );
		}

	if ( $wp_version >= 3.2 )

		{
	add_filter( 'init', 'wptbr_ngr_rbp', 9 );
		}

	function wptbr_ngr_rml( $links, $file )
		{
			if ( $file == plugin_basename( __FILE__ ) )
				{
					$links[] = '<a title="Offer a Beer to sLa" href="https://slangji.wordpress.com/donate/">Donate</a>';
					$links[] = '<a title="Bugfix and Suggestions" href="https://slangji.wordpress.com/contact/">Contact</a>';

					global $wp_version;

					if ( $wp_version < 3.8 )
						{
							//$links[] = '<a title="Visit other author plugins site" href="https://slangji.wordpress.com/plugins/">Other Plugins</a>';
						}

					if ( $wp_version >= 3.8 )
						{
							//$links[] = '<a title="Visit other author plugins site" href="https://slangji.wordpress.com/plugins/">Other</a>';
						}
				}
			return $links;
		}
	add_filter( 'plugin_row_meta', 'wptbr_ngr_rml', 10, 2 );

	function wptbr_ngr_hfl ()
		{

			echo"\n<!--Plugin ToolBar Node Removal 2013.0726.1839 Active - Tag ".md5(md5("".""))."-->\n\n";

		}
	add_action( 'wp_head', 'wptbr_ngr_hfl', 999 );
	add_action( 'wp_footer', 'wptbr_ngr_hfl', 999 );
?>